{% extends "base.html" %}
{% load static %}
{% load staticfiles %}
{% load i18n %}
{% load l10n %}
{% load humanize %}
{% load tz %}
{% load helper_i18n_tags %}


{% block stylesheet %}
    <!-- CSS pour datetime picker -->
    <link rel="stylesheet" href="{% static 'js/jquery.datetimepicker.min.css' %}">

{% endblock  %}

{% block javascript_libraries %}
    {{ block.super }}

    <!-- datetime picker jQuery script -->
    <!-- https://marcocecchetti.it/Post/Articolo/608 -->
    <script src="{% static 'js/jquery.datetimepicker.full.js' %}"></script>

{% endblock javascript_libraries %}

{# Translators: Apparait dans le titre de la page (head title) #}
{% block head_title %} {% trans "Liste des transactions notariales en Colombie" %} {% endblock %}


{% block content %}


<div class="panel-group" id="accordeon">
  {# https://getbootstrap.com/components/#panels #}
  <div class="panel panel-primary">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordeon" href="#caracteristiques">Choose date for {{ commentaire }}</a>
      </h4>
    </div>
    <div id="caracteristiques" class="panel-collapse collapse in">
      <div class="panel-body">
        <div class="panel panel-default">
            <div class="panel-body">
                <form method="post" action="{{url_post }}"  id="id_form">  {% csrf_token %}
                    {{ form_filtre_reports.non_field_errors }}
                    <div class="table-responsive table-condensed">
                        <table id="id_search_table" class="table table-striped table-bordered" width="100%">
                            <tbody>
                                <tr>
                                    <td width="50%"> {{ form_filtre_reports.date_from.label_tag}} {{ form_filtre_reports.date_from }} </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <input type="submit" name="btn_form_filtre" id="id_btn_form_filtre" value="Export csv file" class="btn btn-success btn-block" />
                </form>
            </div>
            <div class="panel-footer">
            </div>
        </div>
      </div>
    </div>
  </div>
</div>


{% endblock content %}

{% block extra_js %}
    <script type="text/javascript">

        $(document).ready(function() {

            $('#id_agence_notariale').select2();
            $('#id_agence_notariale').on('change', function() {
                {# https://openclassrooms.com/courses/un-site-web-dynamique-avec-jquery/jquery-et-les-evenements #}

                $('#id_filtre_agence').prop("checked", true);
            });
            // langue française
            $.datetimepicker.setLocale('fr');

            {# https://jqueryui.com/datepicker/ #}
            $('#id_date_from').datetimepicker(
                {
                    // https://marcocecchetti.it/Post/Articolo/608
                    weeks: true,
                    rtl: false,
                    // formatTime:'H:i',
                    // formatDate:'d/m/Y',
                    format: 'd/m/Y',
                    // date
                    datepicker: true,
                    opened: false,
                    todayButton: true,     // Show button "Go To Today"
                    defaultSelect:  true,  // Highlight the current date even if the input is empty
                    dayOfWeekStart : 1, // Start week DatePicker. Default Sunday=0.
                    yearStart: 2015, // année de début application
                    defaultDate: false,
                    // https://secure.php.net/manual/fr/function.date.php
                    maxDate:0,    // today
                    minDate:'22.6.2015',formatDate:'d.m.Y',
                    weekends : [],
                    disabledDates : [],
                    // time
                    timepicker:false,
                    onClose: function( selectedDate ) {
                       $('#id_date_to' ).datetimepicker("option", "minDate", selectedDate );
                  }
                }
            );
            $('#id_date_to').datetimepicker(
                {
                    // https://marcocecchetti.it/Post/Articolo/608
                    weeks: true,
                    rtl: false,
                    // formatTime:'H:i',
                    // formatDate:'d/m/Y',
                    format: 'd/m/Y',
                    // date
                    datepicker: true,
                    opened: false,
                    todayButton: true,     // Show button "Go To Today"
                    defaultSelect:  true,  // Highlight the current date even if the input is empty
                    dayOfWeekStart : 1, // Start week DatePicker. Default Sunday=0.
                    yearStart: 2015, // année de début application
                    defaultDate: false,
                    // https://secure.php.net/manual/fr/function.date.php
                    maxDate:0,    // today
                    minDate:'22.6.2015',formatDate:'d.m.Y',
                    weekends : [],
                    disabledDates : [],
                    // time
                    timepicker:false,
                    onClose: function( selectedDate ) {
                        $('#id_date_from').datetimepicker("option", "maxDate", selectedDate );
                  }
                }
            );

            $('#id_date_from').on('change', function() {
                {# https://openclassrooms.com/courses/un-site-web-dynamique-avec-jquery/jquery-et-les-evenements #}

                $('#id_filtre_date').prop("checked", true);
            });

            $('#id_date_to').on('change', function() {
                {# https://openclassrooms.com/courses/un-site-web-dynamique-avec-jquery/jquery-et-les-evenements #}

                $('#id_filtre_date').prop("checked", true);
            });


            function set_language_code(){
                {# Lecture du code langage #}
                {# https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes #}
                var code_language = $('#id_language_code').val();
                {# alert("code language" +code_language); #}
                $.datetimepicker.setLocale('code_language');

                // $('#id_date_from').datepicker("option", $.datepicker.regional[ code_language ] );
                // $('#id_date_to').datepicker("option", $.datepicker.regional[ code_language ] );
            }

            set_language_code();


        });

    </script>

{% endblock extra_js %}

{% block footer %}
{% endblock footer %}
